Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F151684892
D53942.id167188.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D53942.id167188.diff
View Options
diff --git a/tools/tools/git/git-arc.sh b/tools/tools/git/git-arc.sh
old mode 100644
new mode 100755
--- a/tools/tools/git/git-arc.sh
+++ b/tools/tools/git/git-arc.sh
@@ -171,6 +171,20 @@
test "$(git config --bool --get $1 2>/dev/null || echo $2)" != "false"
}
+#
+# Invoke the actual arc command. This allows us to only rely on the
+# devel/arcanist-lib port, which installs the actual script, rather than
+# the devel/arcanist-port, which installs a symlink in ${LOCALBASE}/bin
+# but conflicts with the archivers/arc port.
+#
+: ${LOCALBASE:=$(sysctl -n user.localbase)}
+: ${LOCALBASE:=/usr/local}
+: ${ARC_CMD:=${LOCALBASE}/lib/php/arcanist/bin/arc}
+arc()
+{
+ ${ARC_CMD} "$@"
+}
+
#
# Filter the output of call-conduit to remove the warnings that are generated
# for some installations where openssl module is mysteriously installed twice so
@@ -772,7 +786,7 @@
[ $# -ge 1 ] || err_usage
-which arc >/dev/null 2>&1 || err "arc is required, install devel/arcanist"
+[ -x "${ARC_CMD}" ] || err "arc is required, install devel/arcanist-lib"
which jq >/dev/null 2>&1 || err "jq is required, install textproc/jq"
if [ "$VERBOSE" ]; then
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Sat, Apr 11, 12:22 AM (14 h, 42 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
31227166
Default Alt Text
D53942.id167188.diff (1 KB)
Attached To
Mode
D53942: git-arc: Don't require devel/arcanist
Attached
Detach File
Event Timeline
Log In to Comment